[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'InterfaceBase' (#lcl)

# TWidgetSet.CreateTimer

Creates a timer with the given callback method.

## Declaration

Source position: interfacebase.pp line 171

`public function TWidgetSet.CreateTimer(`
`Interval: Integer;`
`TimerProc: TWSTimerProc`
`):TLCLHandle; virtual; abstract;`

## Arguments

`Interval` |  | The timer interval before the callback is executed.
`TimerProc` |  | The callback method executed when the timer interval has elapsed.

## Function result

The handle (or ID) for the timer. Zero on failure.

## Description

Declared as an abstract virtual method in TWidgetSet. Must be implemented in a descendent class to use the platform-specific mechanism(s) required for the implementation.

## Version info

Modified in LCL version 4.0 to use the TLCLHandle type instead of the deprecated THandle type in the return value.

## See also

TWidgetSet.DestroyTimer |  | Destroys the timer with the specified handle.
TWSTimerProc |  | Type used for a timer callback procedure.
TLCLHandle |  | The type used for handles in LCL applications, components, controls, and widget set classes.